> For the complete documentation index, see [llms.txt](https://docs.gmetri.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gmetri.com/guidelines-compatibility/guidelines/workflows/green-screen/apply-green-screen-to-videos.md).

# Apply Green Screen to Videos

### Create a Demo Experience

Let's take a look at how you can add a green screen effect to a video using the GMetri Virtual Reality Platform.

1. Add a video element into your scene. Select a video from the file browser with the green background applied to it.

![Green Screen Effects on VR with GMetri XR](https://r.vrgmetri.com/image/w_900,h_450,q_85/gb-blog/gmetri/2020/04/shot11.png.jpg)

1. Now click the Green Screen Icon to apply the filter and select the background color using the integrated color picker.

![Chroma Key Green Screen Backgrounds](https://r.vrgmetri.com/image/w_900,h_450,q_80/gb-blog/gmetri/2019/12/shot12-select-1.png.jpg)

1. Open up the preview and see the magic!

![How to do Green Screen for Videos on GMetri XR](https://s.vrgmetri.com/gb-web/real-ghost/2019/12/green-screen-virtual-reality-background.gif)

Here's an example using blue background instead of a green background:

![Blue Background instead of Green screen effect](https://r.vrgmetri.com/image/w_900,h_450,q_80/gb-blog/gmetri/2019/12/shot21.png.jpg)

### Test

* That's it! It now time to test the application. You can do that by clicking the green `Play` button in Right bar.
* A QR Code shall appear. Scan this from your phone to preview your green screen experience or just open the link in a new tab. The changes you make in the editor will be available in the preview as soon as you make them after refreshing the page!

### Deploy

* For other to view this app, you must deploy it. To do this head over to the Publish section to know more.

#### Green Screen Effect

{% embed url="<https://view.gmetri.com/v5/gmetri/green-screen>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.gmetri.com/guidelines-compatibility/guidelines/workflows/green-screen/apply-green-screen-to-videos.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
